import { IProgressComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkProgress implements IProgressComponent {
    /**
     * Progress description for screen readers
     */
    label: string;
    /**
     * Progress value
     */
    value: number;
    useExternal: boolean;
    resetState(): void;
    connectedCallback(): void;
    componentWillLoad(): void;
    render(): any[];
    renderExternal(): any;
    renderInternal(): any;
}
